.about-author {
  background-color: var(--color-white);
  width: 100%;
  display: flex;
  align-items: flex-start;
  padding: 80px 0;

  &__container {
    display: grid;
    grid-template-areas: 'avatar content';
    grid-template-columns: 0.7fr 1fr;
    grid-gap: 24px 56px;
    justify-content: flex-start;
    align-items: center;
  }

  &__avatar {
    margin-left: 104px;
    grid-area: avatar;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    overflow: hidden;
  }

  &__info {
    grid-area: content;
    padding-right: 104px;
  }

  &__title {
    font-family: var(--font-secondary);
    font-weight: var(--font-weight-primary);
    font-size: var(--font-size-7xl);
    line-height: 1.1;
    align-self: end;
    grid-area: title;
    margin: 0;
    max-width: 600px;
  }

  &__content {
    margin: 0;
    max-width: 600px;
    font-weight: var(--font-weight-primary);
    font-size: var(--font-size-lg);
    line-height: 1.3;
    margin-top: 24px;
  }
}

@media screen and (width <= 1272px) {
  .about-author {
    padding: 80px 0;

    &__avatar {
      margin-left: 80px;
    }
  }
}

@media screen and (width <= 1106px) {
  .about-author {
    padding: 40px 0;

    &__container {
      grid-gap: 16px 32px;
      align-items: center;
    }

    &__avatar {
      margin-left: 40px;
      height: 238px;
      max-width: 232px;
    }

    &__info {
      padding-right: 40px;
    }

    &__title {
      font-size: var(--font-size-5xl);
      line-height: 1.3;
      max-width: 424px;
    }

    &__content {
      max-width: 424px;
      margin-top: 16px;
    }
  }
}

@media screen and (width <= 766px) {
  .about-author {
    padding: 32px 0 128px;
    justify-content: center;

    &__container {
      grid-template-areas:
        'avatar'
        'content';
      grid-template-columns: 1fr;
      grid-gap: 24px;
    }

    &__info {
      padding-right: 16px;
    }

    &__title {
      padding: 0 16px;
    }

    &__content {
      padding: 0 16px;
    }
  }
}
